{{> partials/header}}
     
{{> partials/navbar}}

  <div class="row justify-content-center">
    <div class="col-sm-8 col-10">
      <h2>Article list</h2>

      {{#articles}}
        <div class="row">
          <div class="col-sm-8 col-10">
            {{#category.length}}<a href="/{{category}}/{{slug}}" target="_blank">{{category}}/{{slug}}</a>{{/category.length}}
            {{^category.length}}<a href="/{{slug}}" target="_blank">{{slug}}</a>{{/category.length}}
            <br>
            <b>{{title}}</b><br>
            {{subTitle}}<br>
            <p style="font-size:12px;margin-bottom:2px;">From: {{author}} - Date Posted: {{datePosted}}</p>
            <div class="row" style="padding-left: 10px;padding-right: 10px;">
              {{#tags}}
              <span _ngcontent-c10="" class="skill-tag pointer"><i _ngcontent-c10="" aria-hidden="true" class="fa fa-tag"></i>&nbsp;{{.}}</span>
              {{/tags}}
            </div>          
          </div>
          <div class="col-sm-4 col-5">
            {{#imageUrl}}<img src="{{imageUrl}}" style="width:100%; margin-bottom:10px; margin-top:5px;">{{/imageUrl}}
          </div>        
        </div>
        <div class="row" style="margin-top:5px;">
          <div class="text-left">
            <a href="/delete" data-slug="{{slug}}" class="btn btn-secondary ml-8 admin-delete">Delete</a>
          </div>
          <div class="text-right">
            <a href="/admin/edit/{{slug}}" class="btn btn-primary text-white ml-8">Edit</a>
          </div> 
        </div>  
        <hr>
      {{/articles}}
      <br>
      <div class="text-right">
        <a href="/admin/logout"  class="btn ml-8"> Logout</a>
        {{#enabled}}<a href="/admin/2fa"  class="btn ml-8 admin-disable-2fa"> Disable 2FA</a> {{/enabled}}
        {{^enabled}}<a href="/admin/2fa"  class="btn btn-primary ml-8"> Enable 2FA</a> {{/enabled}}        
        <a href="/admin/edit"  class="btn btn-primary text-white ml-8"> New</a>
      </div>
      <br>

          
    </div>

    
  </div>



{{> partials/footer}}
